Bug 1921084 - Scale ZRAM to Full Memory Size
Summary: Scale ZRAM to Full Memory Size
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2021-01-27 13:41 UTC by Ben Cotton
Modified: 2022-05-12 18:51 UTC (History)
3 users (show)

Fixed In Version: zram-generator-deaults-0.3.1-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-12 18:51:51 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-01-27 13:41:39 UTC
This is a tracking bug for Change: Scale ZRAM to Full Memory Size
For more details, see: https://fedoraproject.org/wiki/Changes/Scale_ZRAM_to_full_memory_size

Fedora 33 enabled zram by default. The size of the virtual swap devices was set so that the amount of memory used for compressed swap pages was limited to a quarter of physical memory in typical scenarios. That size is now increased to half of physical memory (zram-fraction becomes 1.0, max-zram-size becomes 8 GiB). This allows systems with small amounts to successfully launch the Anaconda installer and other programs.

Comment 1 Ben Cotton 2022-05-12 16:58:32 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.


Note You need to log in before you can comment on or make changes to this bug.